One Trading API
REST API
WebSocket API
REST API
WebSocket API
  1. Trading
  • Futures
    • Introduction
    • Funding Rate Methodology
    • Funding Payments
      GET
    • Positions
      GET
    • Position Funding Payments
      GET
    • Funding Rate Settings
      GET
    • Get Futures Open Positions
      GET
    • Futures Portfolio Summary
      GET
    • Current Funding Rate
      GET
    • Funding Rate History
      GET
    • Funding Schedule
      GET
  • Public
    • Currencies
      GET
    • Instruments
      GET
    • Candlesticks
      GET
    • Fee Groups
      GET
    • Order Book
      GET
    • Market Ticker
      GET
    • Market Ticker For Instrument
      GET
    • Time
      GET
  • Trading
    • Get Orders
      GET
    • Create Order
      POST
    • Get Order by Client ID
      GET
    • Get Order by Order ID
      GET
    • Balances
      GET
    • Fees
      GET
    • Get Trades for Order
      GET
    • Get Trade by Trade ID
      GET
    • Get Trades
      GET
    • Cancel All Orders
      DELETE
    • Cancel Order by Order ID
      DELETE
    • Cancel Order by Client ID
      DELETE
  • Funding
    • Transfer Subaccount Balance
      POST
  1. Trading

Balances

GET
https://api.onetrading.com/fast/v1/account/balances
Returns the balance details for the account the token acts on (the main account or a subaccount).
account_equity, margin_used and margin_available are expressed in USD, the collateral currency for futures. If balances cannot be retrieved from the exchange, the response contains an empty balances array and "0" for the account totals.
Required API scope: any valid API key. This endpoint is rate-limited.
This endpoint takes no query parameters. Unknown query parameters are rejected with 400 UNEXPECTED_PARAMETERS.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************

Responses

🟢200Success
application/json
Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠429
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.onetrading.com/fast/v1/account/balances' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success Example
{
    "account_id": "50034b63-9607-4801-810a-6ab00d185eca",
    "account_equity": "171.83539848",
    "margin_available": "171.83539848",
    "margin_used": "0",
    "balances": [
        {
            "currency_code": "USDC",
            "available": "50.5359915",
            "locked": "0",
            "time": "2026-01-19T10:35:32.227Z"
        },
        {
            "currency_code": "SOL",
            "available": "0.22381479",
            "locked": "0",
            "time": "2026-01-19T10:35:32.227Z"
        },
        {
            "currency_code": "USD",
            "available": "23.19951955",
            "locked": "0",
            "time": "2026-01-19T10:35:32.227Z"
        },
        {
            "currency_code": "USDT",
            "available": "0",
            "locked": "0",
            "time": "2026-01-19T10:35:32.227Z"
        },
        {
            "currency_code": "BTC",
            "available": "0.00015998",
            "locked": "0",
            "time": "2026-01-19T10:35:32.227Z"
        },
        {
            "currency_code": "EUR",
            "available": "85.80718666",
            "locked": "0",
            "time": "2026-01-19T10:35:32.227Z"
        },
        {
            "currency_code": "SUI",
            "available": "10.93207",
            "locked": "0",
            "time": "2026-01-19T10:35:32.227Z"
        },
        {
            "currency_code": "XRP",
            "available": "0",
            "locked": "0",
            "time": "2026-01-19T10:35:32.227Z"
        }
    ]
}
Previous
Get Order by Order ID
Next
Fees
Built with